package com.steering.pss.plnsaleord.steelMarkingPlan.entity;
/**
 * 数据库表CRAFT_LG2_CIC所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2017-08-22
 *//**
 * 数据库表CRAFT_LG2_CIC所对应的实体类（生成工具：代码生成器3.0）
 * @author zhou   date 2018-01-09
 */
@SuppressWarnings("serial")
public class CraftLg2CicEntity implements java.io.Serializable {
    /**
     * 成分ID(CIC+工艺卡号+6位流水)
     */
    private String cicGid = "";
    /**
     * 序号
     */
    private String xh = "";
    /**
     * 化学元素代码
     */
    private String chemCode = "";
    /**
     * 化学元素描述
     */
    private String chemName = "";
    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     */
    private String chemType = "";
    /**
     * 复合元素计算公式
     */
    private String chemFormula = "";
    /**
     * 标准范围下限符号
     */
    private String stdminSign = "";
    /**
     * 标准范围下限
     */
    private String stdmin = "";
    /**
     * 标准范围上限符号
     */
    private String stdmaxSign = "";
    /**
     * 标准范围上限
     */
    private String stdmax = "";
    /**
     * 目标值
     */
    private String stdtarget = "";
    /**
     * 限制元素代码
     */
    private String eleCode = "";
    /**
     * 限制元素描述
     */
    private String eleName = "";
    /**
     * 限制元素下限符号
     */
    private String eleMinSign = "";
    /**
     * 限制元素下限
     */
    private String eleMin = "";
    /**
     * 限制元素上限符号
     */
    private String eleMaxSign = "";
    /**
     * 限制元素上限
     */
    private String eleMax = "";
    /**
     * 成分备注
     */
    private String memo = "";
    /**
     * 是否必检项()1:是，0：否)
     */
    private String ischeck = "";
    /**
     * 是否判定(1:是，0：否)
     */
    private String isjudge = "";
    /**
     * 是否报出(1:是，0：否)
     */
    private String isquote = "";
    /**
     * 替代元素代码
     */
    private String repCode = "";
    /**
     * 替代元素描述
     */
    private String repName = "";
    /**
     * 替代元素下限符号
     */
    private String repMinSign = "";
    /**
     * 替代元素下限
     */
    private String repMin = "";
    /**
     * 替代元素上限符号
     */
    private String repMaxSign = "";
    /**
     * 替代元素上限
     */
    private String repMax = "";
    /**
     * 替代元素值
     */
    private String repVal = "";
    /**
     * 是否新加元素,CIC无元素要求
     */
    private String newflag = "";

    /**
     * 成分ID(CIC+工艺卡号+6位流水)
     * @return value
     */
    public String getCicGid() {
        return cicGid;
    }

    /**
     * 成分ID(CIC+工艺卡号+6位流水)
     * @param cicGid value
     */
    public void setCicGid(String cicGid) {
        this.cicGid = cicGid;
    }

    /**
     * 序号
     * @return value
     */
    public String getXh() {
        return xh;
    }

    /**
     * 序号
     * @param xh value
     */
    public void setXh(String xh) {
        this.xh = xh;
    }

    /**
     * 化学元素代码
     * @return value
     */
    public String getChemCode() {
        return chemCode;
    }

    /**
     * 化学元素代码
     * @param chemCode value
     */
    public void setChemCode(String chemCode) {
        this.chemCode = chemCode;
    }

    /**
     * 化学元素描述
     * @return value
     */
    public String getChemName() {
        return chemName;
    }

    /**
     * 化学元素描述
     * @param chemName value
     */
    public void setChemName(String chemName) {
        this.chemName = chemName;
    }

    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     * @return value
     */
    public String getChemType() {
        return chemType;
    }

    /**
     * 化学元素类型(A:单一元素,B:复合元素)
     * @param chemType value
     */
    public void setChemType(String chemType) {
        this.chemType = chemType;
    }

    /**
     * 复合元素计算公式
     * @return value
     */
    public String getChemFormula() {
        return chemFormula;
    }

    /**
     * 复合元素计算公式
     * @param chemFormula value
     */
    public void setChemFormula(String chemFormula) {
        this.chemFormula = chemFormula;
    }

    /**
     * 标准范围下限符号
     * @return value
     */
    public String getStdminSign() {
        return stdminSign;
    }

    /**
     * 标准范围下限符号
     * @param stdminSign value
     */
    public void setStdminSign(String stdminSign) {
        this.stdminSign = stdminSign;
    }

    /**
     * 标准范围下限
     * @return value
     */
    public String getStdmin() {
        return stdmin;
    }

    /**
     * 标准范围下限
     * @param stdmin value
     */
    public void setStdmin(String stdmin) {
        this.stdmin = stdmin;
    }

    /**
     * 标准范围上限符号
     * @return value
     */
    public String getStdmaxSign() {
        return stdmaxSign;
    }

    /**
     * 标准范围上限符号
     * @param stdmaxSign value
     */
    public void setStdmaxSign(String stdmaxSign) {
        this.stdmaxSign = stdmaxSign;
    }

    /**
     * 标准范围上限
     * @return value
     */
    public String getStdmax() {
        return stdmax;
    }

    /**
     * 标准范围上限
     * @param stdmax value
     */
    public void setStdmax(String stdmax) {
        this.stdmax = stdmax;
    }

    /**
     * 目标值
     * @return value
     */
    public String getStdtarget() {
        return stdtarget;
    }

    /**
     * 目标值
     * @param stdtarget value
     */
    public void setStdtarget(String stdtarget) {
        this.stdtarget = stdtarget;
    }

    /**
     * 限制元素代码
     * @return value
     */
    public String getEleCode() {
        return eleCode;
    }

    /**
     * 限制元素代码
     * @param eleCode value
     */
    public void setEleCode(String eleCode) {
        this.eleCode = eleCode;
    }

    /**
     * 限制元素描述
     * @return value
     */
    public String getEleName() {
        return eleName;
    }

    /**
     * 限制元素描述
     * @param eleName value
     */
    public void setEleName(String eleName) {
        this.eleName = eleName;
    }

    /**
     * 限制元素下限符号
     * @return value
     */
    public String getEleMinSign() {
        return eleMinSign;
    }

    /**
     * 限制元素下限符号
     * @param eleMinSign value
     */
    public void setEleMinSign(String eleMinSign) {
        this.eleMinSign = eleMinSign;
    }

    /**
     * 限制元素下限
     * @return value
     */
    public String getEleMin() {
        return eleMin;
    }

    /**
     * 限制元素下限
     * @param eleMin value
     */
    public void setEleMin(String eleMin) {
        this.eleMin = eleMin;
    }

    /**
     * 限制元素上限符号
     * @return value
     */
    public String getEleMaxSign() {
        return eleMaxSign;
    }

    /**
     * 限制元素上限符号
     * @param eleMaxSign value
     */
    public void setEleMaxSign(String eleMaxSign) {
        this.eleMaxSign = eleMaxSign;
    }

    /**
     * 限制元素上限
     * @return value
     */
    public String getEleMax() {
        return eleMax;
    }

    /**
     * 限制元素上限
     * @param eleMax value
     */
    public void setEleMax(String eleMax) {
        this.eleMax = eleMax;
    }

    /**
     * 成分备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 成分备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 是否必检项()1:是，0：否)
     * @return value
     */
    public String getIscheck() {
        return ischeck;
    }

    /**
     * 是否必检项()1:是，0：否)
     * @param ischeck value
     */
    public void setIscheck(String ischeck) {
        this.ischeck = ischeck;
    }

    /**
     * 是否判定(1:是，0：否)
     * @return value
     */
    public String getIsjudge() {
        return isjudge;
    }

    /**
     * 是否判定(1:是，0：否)
     * @param isjudge value
     */
    public void setIsjudge(String isjudge) {
        this.isjudge = isjudge;
    }

    /**
     * 是否报出(1:是，0：否)
     * @return value
     */
    public String getIsquote() {
        return isquote;
    }

    /**
     * 是否报出(1:是，0：否)
     * @param isquote value
     */
    public void setIsquote(String isquote) {
        this.isquote = isquote;
    }

    /**
     * 替代元素代码
     * @return value
     */
    public String getRepCode() {
        return repCode;
    }

    /**
     * 替代元素代码
     * @param repCode value
     */
    public void setRepCode(String repCode) {
        this.repCode = repCode;
    }

    /**
     * 替代元素描述
     * @return value
     */
    public String getRepName() {
        return repName;
    }

    /**
     * 替代元素描述
     * @param repName value
     */
    public void setRepName(String repName) {
        this.repName = repName;
    }

    /**
     * 替代元素下限符号
     * @return value
     */
    public String getRepMinSign() {
        return repMinSign;
    }

    /**
     * 替代元素下限符号
     * @param repMinSign value
     */
    public void setRepMinSign(String repMinSign) {
        this.repMinSign = repMinSign;
    }

    /**
     * 替代元素下限
     * @return value
     */
    public String getRepMin() {
        return repMin;
    }

    /**
     * 替代元素下限
     * @param repMin value
     */
    public void setRepMin(String repMin) {
        this.repMin = repMin;
    }

    /**
     * 替代元素上限符号
     * @return value
     */
    public String getRepMaxSign() {
        return repMaxSign;
    }

    /**
     * 替代元素上限符号
     * @param repMaxSign value
     */
    public void setRepMaxSign(String repMaxSign) {
        this.repMaxSign = repMaxSign;
    }

    /**
     * 替代元素上限
     * @return value
     */
    public String getRepMax() {
        return repMax;
    }

    /**
     * 替代元素上限
     * @param repMax value
     */
    public void setRepMax(String repMax) {
        this.repMax = repMax;
    }

    /**
     * 替代元素值
     * @return value
     */
    public String getRepVal() {
        return repVal;
    }

    /**
     * 替代元素值
     * @param repVal value
     */
    public void setRepVal(String repVal) {
        this.repVal = repVal;
    }

    /**
     * 是否新加元素,CIC无元素要求
     * @return value
     */
    public String getNewflag() {
        return newflag;
    }

    /**
     * 是否新加元素,CIC无元素要求
     * @param newflag value
     */
    public void setNewflag(String newflag) {
        this.newflag = newflag;
    }
}